## gst-libav1.0 1.8.3

=== gst-libs/ext/libav/libavcodec/arm/Makefile ===
ARCH_HEADERS = mathops.h

# subsystems
OBJS-$(CONFIG_AC3DSP)                  += arm/ac3dsp_init_arm.o         \
                                          arm/ac3dsp_arm.o
OBJS-$(CONFIG_AUDIODSP)                += arm/audiodsp_init_arm.o
OBJS-$(CONFIG_BLOCKDSP)                += arm/blockdsp_init_arm.o
OBJS-$(CONFIG_FFT)                     += arm/fft_init_arm.o            \
                                          arm/fft_fixed_init_arm.o
OBJS-$(CONFIG_FMTCONVERT)              += arm/fmtconvert_init_arm.o
OBJS-$(CONFIG_H264CHROMA)              += arm/h264chroma_init_arm.o
OBJS-$(CONFIG_H264DSP)                 += arm/h264dsp_init_arm.o
OBJS-$(CONFIG_H264PRED)                += arm/h264pred_init_arm.o
OBJS-$(CONFIG_H264QPEL)                += arm/h264qpel_init_arm.o
OBJS-$(CONFIG_HPELDSP)                 += arm/hpeldsp_init_arm.o        \
                                          arm/hpeldsp_arm.o
OBJS-$(CONFIG_IDCTDSP)                 += arm/idctdsp_init_arm.o        \
                                          arm/idctdsp_arm.o             \
                                          arm/jrevdct_arm.o             \
                                          arm/simple_idct_arm.o
OBJS-$(CONFIG_FLACDSP)                 += arm/flacdsp_init_arm.o        \
                                          arm/flacdsp_arm.o
OBJS-$(CONFIG_G722DSP)                 += arm/g722dsp_init_arm.o
OBJS-$(CONFIG_LLAUDDSP)                += arm/lossless_audiodsp_init_arm.o
OBJS-$(CONFIG_ME_CMP)                  += arm/me_cmp_init_arm.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += arm/mpegaudiodsp_init_arm.o
OBJS-$(CONFIG_MPEGVIDEO)               += arm/mpegvideo_arm.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += arm/mpegvideoencdsp_init_arm.o
OBJS-$(CONFIG_NEON_CLOBBER_TEST)       += arm/neontest.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += arm/pixblockdsp_init_arm.o
OBJS-$(CONFIG_RV34DSP)                 += arm/rv34dsp_init_arm.o
OBJS-$(CONFIG_VIDEODSP)                += arm/videodsp_init_arm.o
OBJS-$(CONFIG_VP3DSP)                  += arm/vp3dsp_init_arm.o
OBJS-$(CONFIG_VP8DSP)                  += arm/vp8dsp_init_arm.o

# decoders/encoders
OBJS-$(CONFIG_AAC_DECODER)             += arm/aacpsdsp_init_arm.o       \
                                          arm/sbrdsp_init_arm.o
OBJS-$(CONFIG_DCA_DECODER)             += arm/synth_filter_init_arm.o
OBJS-$(CONFIG_HEVC_DECODER)            += arm/hevcdsp_init_arm.o
OBJS-$(CONFIG_MLP_DECODER)             += arm/mlpdsp_init_arm.o
OBJS-$(CONFIG_RV40_DECODER)            += arm/rv40dsp_init_arm.o
OBJS-$(CONFIG_VC1_DECODER)             += arm/vc1dsp_init_arm.o
OBJS-$(CONFIG_VORBIS_DECODER)          += arm/vorbisdsp_init_arm.o
OBJS-$(CONFIG_VP6_DECODER)             += arm/vp6dsp_init_arm.o


# ARMv5 optimizations
# subsystems
ARMV5TE-OBJS-$(CONFIG_IDCTDSP)         += arm/idctdsp_init_armv5te.o    \
                                          arm/simple_idct_armv5te.o
ARMV5TE-OBJS-$(CONFIG_MPEGVIDEO)       += arm/mpegvideo_armv5te.o       \
                                          arm/mpegvideo_armv5te_s.o
ARMV5TE-OBJS-$(CONFIG_VIDEODSP)        += arm/videodsp_init_armv5te.o   \
                                          arm/videodsp_armv5te.o

# decoders/encoders
ARMV5TE-OBJS-$(CONFIG_MLP_DECODER)     += arm/mlpdsp_armv5te.o


# ARMv6 optimizations
# subsystems
ARMV6-OBJS-$(CONFIG_AC3DSP)            += arm/ac3dsp_armv6.o
ARMV6-OBJS-$(CONFIG_HPELDSP)           += arm/hpeldsp_init_armv6.o      \
                                          arm/hpeldsp_armv6.o
ARMV6-OBJS-$(CONFIG_IDCTDSP)           += arm/idctdsp_init_armv6.o      \
                                          arm/idctdsp_armv6.o           \
                                          arm/simple_idct_armv6.o
ARMV6-OBJS-$(CONFIG_ME_CMP)            += arm/me_cmp_armv6.o
ARMV6-OBJS-$(CONFIG_MPEGAUDIODSP)      += arm/mpegaudiodsp_fixed_armv6.o
ARMV6-OBJS-$(CONFIG_MPEGVIDEOENC)      += arm/mpegvideoencdsp_armv6.o
ARMV6-OBJS-$(CONFIG_PIXBLOCKDSP)       += arm/pixblockdsp_armv6.o
ARMV6-OBJS-$(CONFIG_VP8DSP)            += arm/vp8_armv6.o               \
                                          arm/vp8dsp_init_armv6.o       \
                                          arm/vp8dsp_armv6.o

# decoders/encoders
ARMV6-OBJS-$(CONFIG_MLP_DECODER)       += arm/mlpdsp_armv6.o
ARMV6-OBJS-$(CONFIG_STARTCODE)         += arm/startcode_armv6.o


# VFP optimizations

# subsystems
VFP-OBJS-$(CONFIG_FFT)                 += arm/fft_vfp.o
VFP-OBJS-$(CONFIG_FMTCONVERT)          += arm/fmtconvert_vfp.o
VFP-OBJS-$(CONFIG_MDCT)                += arm/mdct_vfp.o

# decoders/encoders
VFP-OBJS-$(CONFIG_DCA_DECODER)         += arm/synth_filter_vfp.o


# NEON optimizations

# subsystems
NEON-OBJS-$(CONFIG_AC3DSP)             += arm/ac3dsp_neon.o
NEON-OBJS-$(CONFIG_AUDIODSP)           += arm/audiodsp_init_neon.o      \
                                          arm/audiodsp_neon.o           \
                                          arm/int_neon.o
NEON-OBJS-$(CONFIG_BLOCKDSP)           += arm/blockdsp_init_neon.o      \
                                          arm/blockdsp_neon.o
NEON-OBJS-$(CONFIG_FFT)                += arm/fft_neon.o                \
                                          arm/fft_fixed_neon.o
NEON-OBJS-$(CONFIG_FMTCONVERT)         += arm/fmtconvert_neon.o
NEON-OBJS-$(CONFIG_G722DSP)            += arm/g722dsp_neon.o
NEON-OBJS-$(CONFIG_H264CHROMA)         += arm/h264cmc_neon.o
NEON-OBJS-$(CONFIG_H264DSP)            += arm/h264dsp_neon.o            \
                                          arm/h264idct_neon.o
NEON-OBJS-$(CONFIG_H264PRED)           += arm/h264pred_neon.o
NEON-OBJS-$(CONFIG_H264QPEL)           += arm/h264qpel_neon.o           \
                                          arm/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_HPELDSP)            += arm/hpeldsp_init_neon.o       \
                                          arm/hpeldsp_neon.o
NEON-OBJS-$(CONFIG_IDCTDSP)            += arm/idctdsp_init_neon.o       \
                                          arm/idctdsp_neon.o            \
                                          arm/simple_idct_neon.o
NEON-OBJS-$(CONFIG_MDCT)               += arm/mdct_neon.o               \
                                          arm/mdct_fixed_neon.o
NEON-OBJS-$(CONFIG_MPEGVIDEO)          += arm/mpegvideo_neon.o
NEON-OBJS-$(CONFIG_RDFT)               += arm/rdft_neon.o
NEON-OBJS-$(CONFIG_VP3DSP)             += arm/vp3dsp_neon.o
NEON-OBJS-$(CONFIG_VP8DSP)             += arm/vp8dsp_init_neon.o        \
                                          arm/vp8dsp_neon.o

# decoders/encoders
NEON-OBJS-$(CONFIG_AAC_DECODER)        += arm/aacpsdsp_neon.o           \
                                          arm/sbrdsp_neon.o
NEON-OBJS-$(CONFIG_LLAUDDSP)           += arm/lossless_audiodsp_neon.o
NEON-OBJS-$(CONFIG_DCA_DECODER)        += arm/synth_filter_neon.o
NEON-OBJS-$(CONFIG_HEVC_DECODER)       += arm/hevcdsp_init_neon.o       \
                                          arm/hevcdsp_deblock_neon.o    \
                                          arm/hevcdsp_idct_neon.o       \
                                          arm/hevcdsp_qpel_neon.o
NEON-OBJS-$(CONFIG_RV30_DECODER)       += arm/rv34dsp_neon.o
NEON-OBJS-$(CONFIG_RV40_DECODER)       += arm/rv34dsp_neon.o            \
                                          arm/rv40dsp_neon.o
NEON-OBJS-$(CONFIG_VC1_DECODER)        += arm/vc1dsp_init_neon.o        \
                                          arm/vc1dsp_neon.o
NEON-OBJS-$(CONFIG_VORBIS_DECODER)     += arm/vorbisdsp_neon.o
NEON-OBJS-$(CONFIG_VP6_DECODER)        += arm/vp6dsp_neon.o

=== gst-libs/ext/libav/libswscale/arm/Makefile ===
OBJS        += arm/swscale_unscaled.o

# NEON-OBJS   += arm/rgb2yuv_neon_32.o
# NEON-OBJS   += arm/rgb2yuv_neon_16.o
NEON-OBJS   += arm/yuv2rgb_neon.o

=== gst-libs/ext/libav/tests/checkasm/Makefile ===
# libavcodec tests
AVCODECOBJS-$(CONFIG_ALAC_DECODER) += alacdsp.o
AVCODECOBJS-$(CONFIG_BLEND_FILTER) += vf_blend.o
AVCODECOBJS-$(CONFIG_BSWAPDSP) += bswapdsp.o
AVCODECOBJS-$(CONFIG_DCA_DECODER) += synth_filter.o
AVCODECOBJS-$(CONFIG_FLACDSP)  += flacdsp.o
AVCODECOBJS-$(CONFIG_FMTCONVERT)   += fmtconvert.o
AVCODECOBJS-$(CONFIG_H264PRED) += h264pred.o
AVCODECOBJS-$(CONFIG_H264QPEL) += h264qpel.o
AVCODECOBJS-$(CONFIG_JPEG2000_DECODER) += jpeg2000dsp.o
AVCODECOBJS-$(CONFIG_PIXBLOCKDSP) += pixblockdsp.o
AVCODECOBJS-$(CONFIG_V210_ENCODER) += v210enc.o
AVCODECOBJS-$(CONFIG_VP9_DECODER) += vp9dsp.o
AVCODECOBJS-$(CONFIG_VIDEODSP) += videodsp.o

CHECKASMOBJS-$(CONFIG_AVCODEC) += $(AVCODECOBJS-yes)


-include $(SRC_PATH)/tests/checkasm/$(ARCH)/Makefile

CHECKASMOBJS += $(CHECKASMOBJS-yes) checkasm.o
CHECKASMOBJS := $(sort $(CHECKASMOBJS:%=tests/checkasm/%))

-include $(CHECKASMOBJS:.o=.d)

CHECKASMDIRS := $(sort $(dir $(CHECKASMOBJS)))
$(CHECKASMOBJS): | $(CHECKASMDIRS)
OBJDIRS += $(CHECKASMDIRS)

tests/checkasm/checkasm.o: CFLAGS += -Umain

CHECKASM := tests/checkasm/checkasm$(EXESUF)

$(CHECKASM): $(EXEOBJS) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS)

checkasm: $(CHECKASM)

testclean:: checkasmclean

checkasmclean:
	$(RM) $(CHECKASM) $(CLEANSUFFIXES:%=tests/checkasm/%) $(CLEANSUFFIXES:%=tests/checkasm/$(ARCH)/%)

.PHONY: checkasm

=== debian/changelog ===
gst-libav1.0 (1.8.3-1ubuntu0.2) xenial; urgency=medium

  * debian/patches/0001-Don-t-do-range-comparisons-against-AV_CODEC_ID_PCM_S.patch:
    Backport patch from upstream 1.8 branch to restore inadvertantly dropped
    file format support. (LP: #1661842)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 08 Feb 2017 10:43:42 +0000

gst-libav1.0 (1.8.3-1ubuntu0.1) xenial; urgency=medium

  * Backport from yakkety to 16.04 (LP: #1619600)
  * debian/patches/0001-Only-use-AV_CODEC_ID_WRAPPED_AVFRAME-on-new-enough-l.patch:
    Take patch from upstream bug #770753 to fix the build with xenial's
    ffmpeg.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Sep 2016 14:30:43 +0100

gst-libav1.0 (1.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Aug 2016 12:34:02 +0300

=== debian/control ===
Source: gst-libav1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93),
               dpkg-dev (>= 1.16.1~),
               autotools-dev,
               dh-autoreconf,
               autoconf (>= 2.69),
               automake (>= 1.14),
               libtool (>= 2.2.6),
               autopoint (>= 0.17),
               gtk-doc-tools (>= 1.12),
               zlib1g-dev,
               liblzma-dev,
               libglib2.0-dev (>= 2.40),
               pkg-config (>= 0.11.0),
               libgstreamer1.0-dev (>= 1.8.0),
               libgstreamer-plugins-base1.0-dev (>= 1.8.0),
               liborc-0.4-dev (>= 1:0.4.16),
               libavutil-dev (>= 7:2.7),
               libavcodec-dev (>= 7:2.7),
               libavfilter-dev (>= 7:2.7),
               libavformat-dev (>= 7:2.7),
               libswscale-dev (>= 7:2.7),
               libbz2-dev,
               yasm
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-libav1.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-libav1.0.git;a=summary
Homepage: http://gstreamer.freedesktop.org/modules/gst-libav.html

Package: gstreamer1.0-libav
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: libav plugin for GStreamer
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the libav library.  The plugin contains GStreamer
 elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.libav.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-libav.html

Package: gstreamer1.0-libav-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-libav (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: libav plugin for GStreamer (debug symbols)
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the libav library.  The plugin contains GStreamer
 elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.libav.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-libav.html
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

## gst-libav1.0 1.10.0

=== gst-libs/ext/libav/libswresample/x86/Makefile ===
YASM-OBJS                       += x86/audio_convert.o\
                                   x86/rematrix.o\
                                   x86/resample.o\

OBJS                            += x86/audio_convert_init.o\
                                   x86/rematrix_init.o\
                                   x86/resample_init.o\

OBJS-$(CONFIG_XMM_CLOBBER_TEST) += x86/w64xmmtest.o

=== debian/changelog ===
gst-libav1.0 (1.10.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 18:03:53 +0200

gst-libav1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.90.
      - Build-depend on ffmpeg >= 3.0.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:46:00 +0300

gst-libav1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 12:20:03 +0300

gst-libav1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.1.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 13:24:45 +0300

## gst-libav1.0 1.10.1

=== gst-libs/ext/libav/libavdevice/Makefile ===
include $(SUBDIR)../config.mak

NAME    = avdevice

HEADERS = avdevice.h                                                    \
          version.h                                                     \

OBJS    = alldevices.o                                                  \
          avdevice.o                                                    \
          utils.o                                                       \

OBJS-$(HAVE_LIBC_MSVCRT)                 += file_open.o

# input/output devices
OBJS-$(CONFIG_ALSA_INDEV)                += alsa_dec.o alsa.o timefilter.o
OBJS-$(CONFIG_ALSA_OUTDEV)               += alsa_enc.o alsa.o
OBJS-$(CONFIG_AVFOUNDATION_INDEV)        += avfoundation.o
OBJS-$(CONFIG_BKTR_INDEV)                += bktr.o
OBJS-$(CONFIG_CACA_OUTDEV)               += caca.o
OBJS-$(CONFIG_DECKLINK_OUTDEV)           += decklink_enc.o decklink_enc_c.o decklink_common.o
OBJS-$(CONFIG_DECKLINK_INDEV)            += decklink_dec.o decklink_dec_c.o decklink_common.o
OBJS-$(CONFIG_DSHOW_INDEV)               += dshow_crossbar.o dshow.o dshow_enummediatypes.o \
                                            dshow_enumpins.o dshow_filter.o \
                                            dshow_pin.o dshow_common.o
OBJS-$(CONFIG_DV1394_INDEV)              += dv1394.o
OBJS-$(CONFIG_FBDEV_INDEV)               += fbdev_dec.o \
                                            fbdev_common.o
OBJS-$(CONFIG_FBDEV_OUTDEV)              += fbdev_enc.o \
                                            fbdev_common.o
OBJS-$(CONFIG_GDIGRAB_INDEV)             += gdigrab.o
OBJS-$(CONFIG_IEC61883_INDEV)            += iec61883.o
OBJS-$(CONFIG_JACK_INDEV)                += jack.o timefilter.o
OBJS-$(CONFIG_LAVFI_INDEV)               += lavfi.o
OBJS-$(CONFIG_OPENAL_INDEV)              += openal-dec.o
OBJS-$(CONFIG_OPENGL_OUTDEV)             += opengl_enc.o
OBJS-$(CONFIG_OSS_INDEV)                 += oss_dec.o oss.o
OBJS-$(CONFIG_OSS_OUTDEV)                += oss_enc.o oss.o
OBJS-$(CONFIG_PULSE_INDEV)               += pulse_audio_dec.o \
                                            pulse_audio_common.o timefilter.o
OBJS-$(CONFIG_PULSE_OUTDEV)              += pulse_audio_enc.o \
                                            pulse_audio_common.o
OBJS-$(CONFIG_QTKIT_INDEV)               += qtkit.o
OBJS-$(CONFIG_SDL2_OUTDEV)               += sdl2.o
OBJS-$(CONFIG_SNDIO_INDEV)               += sndio_dec.o sndio.o
OBJS-$(CONFIG_SNDIO_OUTDEV)              += sndio_enc.o sndio.o
OBJS-$(CONFIG_V4L2_INDEV)                += v4l2.o v4l2-common.o timefilter.o
OBJS-$(CONFIG_V4L2_OUTDEV)               += v4l2enc.o v4l2-common.o
OBJS-$(CONFIG_V4L_INDEV)                 += v4l.o
OBJS-$(CONFIG_VFWCAP_INDEV)              += vfwcap.o
OBJS-$(CONFIG_X11GRAB_INDEV)             += x11grab.o
OBJS-$(CONFIG_X11GRAB_XCB_INDEV)         += xcbgrab.o
OBJS-$(CONFIG_XV_OUTDEV)                 += xv.o

# external libraries
OBJS-$(CONFIG_LIBCDIO_INDEV)             += libcdio.o
OBJS-$(CONFIG_LIBDC1394_INDEV)           += libdc1394.o

# Windows resource file
SLIBOBJS-$(HAVE_GNU_WINDRES)             += avdeviceres.o

SKIPHEADERS                              += decklink_common.h
SKIPHEADERS-$(CONFIG_DECKLINK)           += decklink_enc.h decklink_dec.h \
                                            decklink_common_c.h
SKIPHEADERS-$(CONFIG_DSHOW_INDEV)        += dshow_capture.h
SKIPHEADERS-$(CONFIG_FBDEV_INDEV)        += fbdev_common.h
SKIPHEADERS-$(CONFIG_FBDEV_OUTDEV)       += fbdev_common.h
SKIPHEADERS-$(CONFIG_LIBPULSE)           += pulse_audio_common.h
SKIPHEADERS-$(CONFIG_V4L2_INDEV)         += v4l2-common.h
SKIPHEADERS-$(CONFIG_V4L2_OUTDEV)        += v4l2-common.h
SKIPHEADERS-$(HAVE_ALSA_ASOUNDLIB_H)     += alsa.h
SKIPHEADERS-$(HAVE_SNDIO_H)              += sndio.h

TESTPROGS-$(CONFIG_JACK_INDEV)           += timefilter

=== gst-libs/ext/libav/tests/checkasm/Makefile ===
# libavcodec tests
# subsystems
AVCODECOBJS-$(CONFIG_BSWAPDSP)          += bswapdsp.o
AVCODECOBJS-$(CONFIG_FLACDSP)           += flacdsp.o
AVCODECOBJS-$(CONFIG_FMTCONVERT)        += fmtconvert.o
AVCODECOBJS-$(CONFIG_H264DSP)           += h264dsp.o
AVCODECOBJS-$(CONFIG_H264PRED)          += h264pred.o
AVCODECOBJS-$(CONFIG_H264QPEL)          += h264qpel.o
AVCODECOBJS-$(CONFIG_VIDEODSP)          += videodsp.o

# decoders/encoders
AVCODECOBJS-$(CONFIG_ALAC_DECODER)      += alacdsp.o
AVCODECOBJS-$(CONFIG_DCA_DECODER)       += synth_filter.o
AVCODECOBJS-$(CONFIG_JPEG2000_DECODER)  += jpeg2000dsp.o
AVCODECOBJS-$(CONFIG_PIXBLOCKDSP)       += pixblockdsp.o
AVCODECOBJS-$(CONFIG_V210_ENCODER)      += v210enc.o
AVCODECOBJS-$(CONFIG_VP9_DECODER)       += vp9dsp.o

CHECKASMOBJS-$(CONFIG_AVCODEC)          += $(AVCODECOBJS-yes)

# libavfilter tests
AVFILTEROBJS-$(CONFIG_BLEND_FILTER) += vf_blend.o
AVFILTEROBJS-$(CONFIG_COLORSPACE_FILTER) += vf_colorspace.o

CHECKASMOBJS-$(CONFIG_AVFILTER) += $(AVFILTEROBJS-yes)


-include $(SRC_PATH)/tests/checkasm/$(ARCH)/Makefile

CHECKASMOBJS += $(CHECKASMOBJS-yes) checkasm.o
CHECKASMOBJS := $(sort $(CHECKASMOBJS:%=tests/checkasm/%))

-include $(CHECKASMOBJS:.o=.d)

CHECKASMDIRS := $(sort $(dir $(CHECKASMOBJS)))
$(CHECKASMOBJS): | $(CHECKASMDIRS)
OBJDIRS += $(CHECKASMDIRS)

tests/checkasm/checkasm.o: CFLAGS += -Umain

CHECKASM := tests/checkasm/checkasm$(EXESUF)

$(CHECKASM): $(EXEOBJS) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS)

checkasm: $(CHECKASM)

testclean:: checkasmclean

checkasmclean:
	$(RM) $(CHECKASM) $(CLEANSUFFIXES:%=tests/checkasm/%) $(CLEANSUFFIXES:%=tests/checkasm/$(ARCH)/%)

.PHONY: checkasm

=== debian/changelog ===
gst-libav1.0 (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 15:12:27 +0200

## gst-libav1.0 1.10.2

=== debian/changelog ===
gst-libav1.0 (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 16:02:07 +0200

## gst-libav1.0 1.10.3

=== debian/changelog ===
gst-libav1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 16:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-libav1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
@@ -20,14 +19,14 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.40),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.8.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.8.0),
+               libgstreamer1.0-dev (>= 1.10.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.10.0),
                liborc-0.4-dev (>= 1:0.4.16),
-               libavutil-dev (>= 7:2.7),
-               libavcodec-dev (>= 7:2.7),
-               libavfilter-dev (>= 7:2.7),
-               libavformat-dev (>= 7:2.7),
-               libswscale-dev (>= 7:2.7),
+               libavutil-dev (>= 7:3.0),
+               libavcodec-dev (>= 7:3.0),
+               libavfilter-dev (>= 7:3.0),
+               libavformat-dev (>= 7:3.0),
+               libswscale-dev (>= 7:3.0),
                libbz2-dev,
                yasm
 Standards-Version: 3.9.3

## gst-libav1.0 1.10.4

=== gst-libs/ext/libav/libavcodec/ppc/Makefile ===
# subsystems
OBJS-$(CONFIG_AUDIODSP)                += ppc/audiodsp.o
OBJS-$(CONFIG_BLOCKDSP)                += ppc/blockdsp.o
OBJS-$(CONFIG_FFT)                     += ppc/fft_init.o                \
                                          ppc/fft_altivec.o             \
                                          ppc/fft_vsx.o
OBJS-$(CONFIG_FDCTDSP)                 += ppc/fdctdsp.o
OBJS-$(CONFIG_FMTCONVERT)              += ppc/fmtconvert_altivec.o
OBJS-$(CONFIG_H264CHROMA)              += ppc/h264chroma_init.o
OBJS-$(CONFIG_H264DSP)                 += ppc/h264dsp.o ppc/hpeldsp_altivec.o
OBJS-$(CONFIG_H264QPEL)                += ppc/h264qpel.o
OBJS-$(CONFIG_HPELDSP)                 += ppc/hpeldsp_altivec.o
OBJS-$(CONFIG_HUFFYUVDSP)              += ppc/huffyuvdsp_altivec.o
OBJS-$(CONFIG_IDCTDSP)                 += ppc/idctdsp.o
OBJS-$(CONFIG_ME_CMP)                  += ppc/me_cmp.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += ppc/mpegaudiodsp_altivec.o
OBJS-$(CONFIG_MPEGVIDEO)               += ppc/mpegvideo_altivec.o      \
                                          ppc/mpegvideodsp.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += ppc/mpegvideoencdsp.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += ppc/pixblockdsp.o
OBJS-$(CONFIG_VC1DSP)                  += ppc/vc1dsp_altivec.o
OBJS-$(CONFIG_VIDEODSP)                += ppc/videodsp_ppc.o
OBJS-$(CONFIG_VP3DSP)                  += ppc/vp3dsp_altivec.o
OBJS-$(CONFIG_VP8DSP)                  += ppc/vp8dsp_altivec.o

# decoders/encoders
OBJS-$(CONFIG_LLAUDDSP)                += ppc/lossless_audiodsp_altivec.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += ppc/svq1enc_altivec.o
OBJS-$(CONFIG_VORBIS_DECODER)          += ppc/vorbisdsp_altivec.o
OBJS-$(CONFIG_VP7_DECODER)             += ppc/vp8dsp_altivec.o

=== debian/changelog ===
gst-libav1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:43:02 +0200

## gst-libav1.0 1.11.91

=== debian/changelog ===
gst-libav1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:16:05 +0300

gst-libav1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 16:08:26 +0300

gst-libav1.0 (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 14:50:26 +0200

gst-libav1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 15:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.40),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.10.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.10.0),
+               libgstreamer1.0-dev (>= 1.11.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.11.91),
                liborc-0.4-dev (>= 1:0.4.16),
                libavutil-dev (>= 7:3.0),
                libavcodec-dev (>= 7:3.0),

## gst-libav1.0 1.12.0

=== gst-libs/ext/libav/libavcodec/mips/Makefile ===
MIPSFPU-OBJS-$(CONFIG_AMRNB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_AMRWB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/amrwbdec_mips.o          \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_MPEGAUDIODSP)       += mips/mpegaudiodsp_mips_float.o
MIPSDSP-OBJS-$(CONFIG_MPEGAUDIODSP)       += mips/mpegaudiodsp_mips_fixed.o
MIPSFPU-OBJS-$(CONFIG_FFT)                += mips/fft_mips.o
MIPSFPU-OBJS-$(CONFIG_FMTCONVERT)         += mips/fmtconvert_mips.o
OBJS-$(CONFIG_AC3DSP)                     += mips/ac3dsp_mips.o
OBJS-$(CONFIG_AAC_DECODER)                += mips/aacdec_mips.o            \
                                             mips/aacsbr_mips.o            \
                                             mips/sbrdsp_mips.o            \
                                             mips/aacpsdsp_mips.o
MIPSDSP-OBJS-$(CONFIG_AAC_ENCODER)        += mips/aaccoder_mips.o
MIPSFPU-OBJS-$(CONFIG_AAC_ENCODER)        += mips/iirfilter_mips.o
OBJS-$(CONFIG_HEVC_DECODER)               += mips/hevcdsp_init_mips.o      \
                                             mips/hevcpred_init_mips.o
OBJS-$(CONFIG_VP9_DECODER)                += mips/vp9dsp_init_mips.o
OBJS-$(CONFIG_VP8_DECODER)                += mips/vp8dsp_init_mips.o
OBJS-$(CONFIG_H264DSP)                    += mips/h264dsp_init_mips.o
OBJS-$(CONFIG_H264QPEL)                   += mips/h264qpel_init_mips.o
OBJS-$(CONFIG_H264CHROMA)                 += mips/h264chroma_init_mips.o
OBJS-$(CONFIG_H264PRED)                   += mips/h264pred_init_mips.o
OBJS-$(CONFIG_H263DSP)                    += mips/h263dsp_init_mips.o
OBJS-$(CONFIG_QPELDSP)                    += mips/qpeldsp_init_mips.o
OBJS-$(CONFIG_HPELDSP)                    += mips/hpeldsp_init_mips.o
OBJS-$(CONFIG_BLOCKDSP)                   += mips/blockdsp_init_mips.o
OBJS-$(CONFIG_PIXBLOCKDSP)                += mips/pixblockdsp_init_mips.o
OBJS-$(CONFIG_IDCTDSP)                    += mips/idctdsp_init_mips.o
OBJS-$(CONFIG_MPEGVIDEO)                  += mips/mpegvideo_init_mips.o
OBJS-$(CONFIG_MPEGVIDEOENC)               += mips/mpegvideoencdsp_init_mips.o
OBJS-$(CONFIG_ME_CMP)                     += mips/me_cmp_init_mips.o
OBJS-$(CONFIG_MPEG4_DECODER)              += mips/xvididct_init_mips.o
OBJS-$(CONFIG_VC1DSP)                     += mips/vc1dsp_init_mips.o
OBJS-$(CONFIG_WMV2DSP)                    += mips/wmv2dsp_init_mips.o
MSA-OBJS-$(CONFIG_HEVC_DECODER)           += mips/hevcdsp_msa.o            \
                                             mips/hevc_mc_uni_msa.o        \
                                             mips/hevc_mc_uniw_msa.o       \
                                             mips/hevc_mc_bi_msa.o         \
                                             mips/hevc_mc_biw_msa.o        \
                                             mips/hevc_idct_msa.o          \
                                             mips/hevc_lpf_sao_msa.o       \
                                             mips/hevcpred_msa.o
MSA-OBJS-$(CONFIG_VP9_DECODER)            += mips/vp9_mc_msa.o             \
                                             mips/vp9_lpf_msa.o            \
                                             mips/vp9_idct_msa.o           \
                                             mips/vp9_intra_msa.o
MSA-OBJS-$(CONFIG_VP8_DECODER)            += mips/vp8_mc_msa.o             \
                                             mips/vp8_idct_msa.o           \
                                             mips/vp8_lpf_msa.o
MSA-OBJS-$(CONFIG_H264DSP)                += mips/h264dsp_msa.o            \
                                             mips/h264idct_msa.o
MSA-OBJS-$(CONFIG_H264QPEL)               += mips/h264qpel_msa.o
MSA-OBJS-$(CONFIG_H264CHROMA)             += mips/h264chroma_msa.o
MSA-OBJS-$(CONFIG_H264PRED)               += mips/h264pred_msa.o
MSA-OBJS-$(CONFIG_H263DSP)                += mips/h263dsp_msa.o
MSA-OBJS-$(CONFIG_QPELDSP)                += mips/qpeldsp_msa.o
MSA-OBJS-$(CONFIG_HPELDSP)                += mips/hpeldsp_msa.o
MSA-OBJS-$(CONFIG_BLOCKDSP)               += mips/blockdsp_msa.o
MSA-OBJS-$(CONFIG_PIXBLOCKDSP)            += mips/pixblockdsp_msa.o
MSA-OBJS-$(CONFIG_IDCTDSP)                += mips/idctdsp_msa.o           \
                                             mips/simple_idct_msa.o
MSA-OBJS-$(CONFIG_MPEGVIDEO)              += mips/mpegvideo_msa.o
MSA-OBJS-$(CONFIG_MPEGVIDEOENC)           += mips/mpegvideoencdsp_msa.o
MSA-OBJS-$(CONFIG_ME_CMP)                 += mips/me_cmp_msa.o
MMI-OBJS                                  += mips/constants.o
MMI-OBJS-$(CONFIG_H264DSP)                += mips/h264dsp_mmi.o
MMI-OBJS-$(CONFIG_H264CHROMA)             += mips/h264chroma_mmi.o
MMI-OBJS-$(CONFIG_H264PRED)               += mips/h264pred_mmi.o
MMI-OBJS-$(CONFIG_MPEGVIDEO)              += mips/mpegvideo_mmi.o
MMI-OBJS-$(CONFIG_IDCTDSP)                += mips/idctdsp_mmi.o           \
                                             mips/simple_idct_mmi.o
MMI-OBJS-$(CONFIG_MPEG4_DECODER)          += mips/xvid_idct_mmi.o
MMI-OBJS-$(CONFIG_BLOCKDSP)               += mips/blockdsp_mmi.o
MMI-OBJS-$(CONFIG_PIXBLOCKDSP)            += mips/pixblockdsp_mmi.o
MMI-OBJS-$(CONFIG_H264QPEL)               += mips/h264qpel_mmi.o
MMI-OBJS-$(CONFIG_VP8_DECODER)            += mips/vp8dsp_mmi.o
MMI-OBJS-$(CONFIG_HPELDSP)                += mips/hpeldsp_mmi.o
MMI-OBJS-$(CONFIG_VC1_DECODER)            += mips/vc1dsp_mmi.o
MMI-OBJS-$(CONFIG_WMV2DSP)                += mips/wmv2dsp_mmi.o

=== debian/changelog ===
gst-libav1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:29:11 +0300

## gst-libav1.0 1.12.2

=== debian/changelog ===
gst-libav1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:41:05 +0300

gst-libav1.0 (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 11:55:55 +0300

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.40),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.11.91),
-               libgstreamer-plugins-base1.0-dev (>= 1.11.91),
+               libgstreamer1.0-dev (>= 1.12.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.12.0),
                liborc-0.4-dev (>= 1:0.4.16),
                libavutil-dev (>= 7:3.0),
                libavcodec-dev (>= 7:3.0),

## gst-libav1.0 1.12.3

=== debian/changelog ===
gst-libav1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 21:44:30 +0300

## gst-libav1.0 1.12.4

=== debian/changelog ===
gst-libav1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:52:56 +0200

## gst-libav1.0 1.13.91

=== debian/changelog ===
gst-libav1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:16:24 +0200

gst-libav1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Mar 2018 10:26:59 +0200

gst-libav1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Feb 2018 21:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.40),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.12.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.12.0),
+               libgstreamer1.0-dev (>= 1.13.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
                liborc-0.4-dev (>= 1:0.4.16),
                libavutil-dev (>= 7:3.0),
                libavcodec-dev (>= 7:3.0),
